
#ifndef __CONF_WIN_TYPE_H__
#define __CONF_WIN_TYPE_H__


typedef struct _Tconf_user Tconf_user;
typedef struct _Tperm Tperm;
typedef struct _Tperm_tree Tperm_tree;
typedef struct _Tperm_user Tperm_user;
typedef struct _Tperm_dir Tperm_dir;

struct _Tperm_tree {
	GtkWidget *tree;
	GtkWidget *cwd_radio, *list_radio, *write_radio, *read_radio;
};

struct _Tperm {
	GtkWidget *tbl;
	GtkWidget *name_label;
	GtkWidget *rootdir_entry, *rootdir_lbl;
	GtkWidget *pass_lbl;
	GtkWidget *add_btn, *del_btn;
	GtkWidget *sw;
	GtkWidget *file_select, *rootdir_select;
	gboolean empty;
	Tperm_tree *perm_tree;
};

struct _Tperm_dir {
	char *path;
	gboolean cwd;
	gboolean list;
	gboolean read;
	gboolean write;
	gboolean selected;
	GtkTreeIter iter;
	Tperm_dir *next;
};

struct _Tperm_user {
	char *rootdir;
	char *pass;
	Tperm_dir *list_dir;
};

struct _Tconf_user {
	char *name;
	gboolean anonymous;
	gboolean selected;
	GtkTreeIter iter;
	Tperm_user *perm;
	Tconf_user *next;
};


static Tconf_user *list_conf_user;

#endif
